Package org.eclipse.microprofile.fault.tolerance.tck.illegalConfig

# Class IncompatibleFallbackTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.fault.tolerance.tck.illegalConfig.IncompatibleFallbackTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class IncompatibleFallbackTest extends org.jboss.arquillian.testng.Arquillian

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`IncompatibleFallbackTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
`void`
`test()`
Test that the deployment of an invalid FallbackHandler leads to a DeploymentException.

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IncompatibleFallbackTest

public IncompatibleFallbackTest()

## Method Details

### deploy

@Deployment @ShouldThrowException(org.eclipse.microprofile.faulttolerance.exceptions.FaultToleranceDefinitionException.class) public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### test

public void test()
Test that the deployment of an invalid FallbackHandler leads to a DeploymentException. A Service is annotated with the IncompatibleFallbackHandler. While the Service returns an Integer, the IncompatibleFallbackHandler returns a String.